'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

const React = require('react');
const Section = require('./section');

function BottomPanel(props) {
  return React.createElement(
    'div',
    { className: 'nav-panel-bottom' },
    props.sections.map((section, i) => {
      let cn = 'nav-panel-bottom__section';

      if (!props.isMobile && props.activeSection !== i) {
        cn += ' nav-panel-bottom__section--inactive';
      }

      return React.createElement(
        'div',
        { key: i, className: cn },
        React.createElement(Section, _extends({
          count: i,
          midSection: props.midSections[i]
        }, section))
      );
    })
  );
}

const { number, bool, string, array } = React.PropTypes;

BottomPanel.propTypes = {
  activeSection: number,
  isOpen: bool.isRequired,
  isMobile: bool.isRequired,
  environment: string,
  sections: array,
  midSections: array
};

BottomPanel.defaultProps = {
  environment: 'com'
};

module.exports = BottomPanel;