'use strict';

const React = require('react');
const { render } = require('react-dom');
const Nav = require('./index');

if (/^loaded|^i|^c/.test(document.readyState)) {
  resolve(Nav);
} else {
  document.addEventListener('DOMContentLoaded', onload);
  window.addEventListener('load', onload);
}

function onload() {
  document.removeEventListener('DOMContentLoaded', onload);
  window.removeEventListener('load', onload);
  resolve(Nav);
}

function resolve(Component) {
  const data = document.getElementById('mongodb-nav-data');
  const props = data && JSON.parse(data.getAttribute('data-props'));
  const container = document.querySelector(data.getAttribute('data-container'));

  render(React.createElement(Component, props), container, function () {
    return window.reactNavOnLoad ? window.reactNavOnLoad() : null;
  });
}