const React = require('react')
const Section = require('./section')

function BottomPanel (props) {
  return (
    <div className='nav-panel-bottom'>
      {props.sections.map((section, i) => {
        let cn = 'nav-panel-bottom__section'

        if (!props.isMobile && props.activeSection !== i) {
          cn += ' nav-panel-bottom__section--inactive'
        }

        return (
          <div key={i} className={cn}>
            <Section
              count={i}
              midSection={props.midSections[i]}
              {...section} />
          </div>
        )
      })}
    </div>
  )
}

const { number, bool, string, array } = React.PropTypes

BottomPanel.propTypes = {
  activeSection: number,
  isOpen: bool.isRequired,
  isMobile: bool.isRequired,
  environment: string,
  sections: array,
  midSections: array
}

BottomPanel.defaultProps = {
  environment: 'com'
}

module.exports = BottomPanel
